<?php
/*
*
* JetBackup @ package
* Created By Idan Ben-Ezra
*
* Copyrights @ JetApps
* https://www.jetapps.com
*
**/

class Modules_JetBackup5_CustomButtons extends pm_Hook_CustomButtons {
    public function getButtons() {
		global $globals;
		
		// If there is no custom logo url we use the default one
		if(empty($globals['logo_url']) || !empty($globals['no_custom_cp_icon'])){
			$globals['logo_url'] = pm_Context::getBaseUrl() . 'images/64x64.png';
		}

	    $buttons = [];
	    $buttons[] = [
		    'place' => self::PLACE_COMMON,
		    'title' =>  pm_Locale::lmsg('buttonTitle'),
		    'description' => pm_Locale::lmsg('buttonDescription'),
		    'icon' => pm_Context::getBaseUrl() . 'images/32x32_white.png',
		    'link' => pm_Context::getBaseUrl(),
		    'newWindow' => false,
		    'visibility' => [$this, 'isButtonVisible'],
	    ];

	    $buttons[] = [
		    'place' => self::PLACE_ADMIN_HOME,
		    'title' => pm_Locale::lmsg('buttonTitle'),
		    'description' => pm_Locale::lmsg('buttonDescription'),
		    'icon' => $globals['logo_url'],
		    'link' => pm_Context::getBaseUrl(),
		    'newWindow' => false,
	    ];
		
	    $buttons[] = [
		    'place' => [
			    self::PLACE_HOSTING_PANEL_NAVIGATION,
			    self::PLACE_ADMIN_TOOLS_AND_SETTINGS,
			    self::PLACE_RESELLER_TOOLS_AND_SETTINGS,
		    ],
		    'title' => pm_Locale::lmsg('buttonTitle'),
		    'description' => pm_Locale::lmsg('buttonDescription'),
		    'link' => pm_Context::getBaseUrl(),
		    'icon' => $globals['logo_url'],
		    'newWindow' => false,
		    'visibility' => [$this, 'isButtonVisible'],
	    ];
		
	    $buttons[] = [
		    'place' => self::PLACE_DOMAIN_PROPERTIES_DYNAMIC,
		    'section' => self::SECTION_DOMAIN_PROPS_DYNAMIC_FILES_AND_DATABASES,
		    'title' => pm_Locale::lmsg('buttonTitle'),
		    'description' => pm_Locale::lmsg('buttonDescription'),
		    //'additionalComments' => '0 full backups',
		    'link' => pm_Context::getBaseUrl(),
		    'icon' => pm_Context::getBaseUrl() . 'images/32x32_black.png',
		    'newWindow' => false,
		    'contextParams' => true,
		    'visibility' => [$this, 'isButtonVisible'],
	    ];

        return $buttons;
    }
	
	public function isButtonVisible($options) {
		$client = pm_Session::getClient();
		$domain = isset($options['dom_id']) ? pm_Domain::getByDomainId($options['dom_id']) : null;
		if($domain && in_array($domain->getProperty('htype'), ['none','frm_fwd','std_fwd'])) return false;
		return $client->isAdmin() || $client->hasPermission('manage_jetbackup', $domain);
	}
}
